%   ODEs corresponding to a two-step consecutive reaction A->B->C

function out = AtoBtoC(t,x,flag,userdata,varargin)
% 
if(~isempty(flag) & strcmp(flag,'jacobian')==1)
    out = AtoBtoC_jacobian(t,x,flag,userdata,varargin);
    out = jac;
else
    dx = zeros(length(x),1);
    dx(1) = -userdata.p(1)*x(1);
    dx(2) = +userdata.p(1)*x(1) - userdata.p(2)*x(2);
    dx(3) = +userdata.p(2)*x(2);
    out = dx;
end


