% [xmin,xmax] = calc_llp_bound(result.pplx_inter,result.pply_inter,result.pply)
% Calculate minimum and maximum value for predicted x(t) at 95% barrier

function [Imin,Imax] = calc_llp_bound(y)
diffval = y-min(y)-icdf('chi2',.945,1);
%sort(diffval);
smaller=diffval<0;
diffval_tmp=diffval;
diffval(smaller)=Inf;
firstInf=find(diffval==Inf,1,'first');
[xmin,Imin]=min(diffval(1:firstInf));
[xmax,Imax]=min(diffval(firstInf+1:end));
Imax=Imax+firstInf;
if(xmin==Inf)
    Imin=firstInf;
end
if(xmax==Inf)
    Imax=length(diffval);
end