% [order,useLast] = pinitial(predfit,predvals)
% 
%   To improve the performance of the optimization, good initial guesses
%   for the parameters are required.
%   The strategy is the following

function [order,useLast] = pinitial(predfit,predvals)

diffval = abs(predvals-predfit);
larger  = predvals>=predfit;
smaller  = predvals<predfit;

diffvalTmp = diffval;
diffvalTmp(smaller) = Inf;
[dummy,rf1] = sort(diffvalTmp);

diffvalTmp = diffval;
diffvalTmp(larger) = Inf;
[dummy,rf2] = sort(diffvalTmp);

order = [rf1(1:sum(larger));rf2(1:sum(smaller))];

useLast = NaN(size(predvals));
useLast(1) = 0;                                     % the fitted parameters will be used as intial guess
useLast(2:sum(larger)) = 1;                      % the parameters of the last fit will be used as initial guess
useLast(sum(larger)+1) = 0;                      % the fitted parameters will be used as intial guess
useLast(sum(larger)+(2:sum(smaller))) = 1;    % the parameters of the last fit will be used as initial guess




